Metacat - Feature #5913

Handle indexing errors
04/12/2013 09:58 AM - ben leinfelder

Status: Closed Start date: 04/12/2013
Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.1.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

For unexpected errors, we need to track and retry the indexing task before giving up and notifying the administrator.

This may happen because the object type is unknown and cannot be parsed correctly, or because there is some error when

submitting to the solr engine.

We do not want these errors to accumulate and bog down the system for weeks and weeks (until, say, support for the new object
type is added) but we do want to add them back to the indexing queue once the reason for the error has been resolved.

History

#1 - 07/09/2013 01:56 PM - ben leinfelder

- Status changed from New to In Progress

Remains to be seen how quickly this queue gets populated. We dont currently have any qualifiers on the kind of error or the number of times the

record as been retried.

#2 - 08/01/2013 01:56 PM - ben leinfelder

- Status changed from In Progress to Closed

Can add more features to this as needed in the future.
